<?php
/*
 * ACF Checkbox parser for WL
*/
if(class_exists('WPBakeryShortCode'))
{

	class WPBakeryShortCode_wonderloops_acf_flexicontent extends WPBakeryShortCode {
		function content($atts, $content = null)
		{
			extract(shortcode_atts(array(
				'wrapper' => 'none',
				'wrapper_class' => false,
				'pre_text' => '',
				'items_wrapper' => '',
				'items_wrapper_class' => false,
				'itemtag' => 'none',
				'items_tag_class' => false,
				'field' => '',
			), $atts));
			$output = '';

			$output .= "\n" . '<?php if( have_rows("' . $field . '") ): ?>' . "\n";
			$output .= wfl_tag_open($wrapper,$wrapper_class);
			$output .= '<?php while( have_rows("' . $field . '") ): the_row(); ?>' . "\n";
            $output .= wfl_tag_open($items_wrapper,$items_wrapper_class);
			$output .= do_shortcode($content);
            $output .= wfl_tag_close($items_wrapper);
			$output .= '<?php endwhile; ?>'. "\n";
			$output .= wfl_tag_close($wrapper);
			$output .= '<?php endif;?>' . "\n";

			return $output;
		}
	}

	class WPBakeryShortCode_wonderloops_acf_flexilayout extends WPBakeryShortCode {
		function content($atts, $content = null)
		{
			extract(shortcode_atts(array(
				'wrapper' => 'none',
				'wrapper_class' => false,
				'pre_text' => '',
				'items_wrapper' => '',
				'items_wrapper_class' => false,
				'itemtag' => 'none',
				'items_tag_class' => false,
				'field' => '',
			), $atts));
			$output = '';

			$output .= "\n" . '<?php if( get_row_layout()=="' . $field . '" ): ?>' . "\n";
			$output .= wfl_tag_open($wrapper,$wrapper_class);
			$output .= wfl_tag_open($items_wrapper,$items_wrapper_class);

			$output .= wfl_tag_open($itemtag,$items_tag_class);
			$output .= do_shortcode($content);
			$output .= wfl_tag_close($itemtag);

			$output .= wfl_tag_close($items_wrapper);
			$output .= wfl_tag_close($wrapper);
			$output .= '<?php endif;?>' . "\n";

			return $output;
		}
	}
}



