<?php
/* ACF Gallery Field Parser For WL2 */


if(class_exists('WPBakeryShortCode')) {

    class WPBakeryShortCode_wonderloops_acf_gallery extends WPBakeryShortCode
    {
        function content($atts, $content = null) {
            extract(shortcode_atts(array(
                'wrapper' => '',
                'wrapper_class' => '',
                'pre_text' => '',
                'field' => '',
                'function' => '',
                'galleryas' => 'wp_gallery',
                'imagewidth' => '210',
                'zoom' => false,
                'columns' => 3,
            ), $atts));
            $content ='';
            $content .= wfl_tag_open($wrapper,$wrapper_class);
            if(strlen($pre_text)!=0){
                $content .= $pre_text.' ';
            }
            if($function != 'get_field'){
                $content .= '<?php $image_ids = get_sub_field("'.$field.'", false, false); ?>'. "\n";
            } else {
                $content .= '<?php $image_ids = get_field("'.$field.'", false, false); ?>'. "\n";
            }
            switch ($galleryas) {
                case 'wp_gallery':
                    $content .= '<?php '. "\n";
                    $content .= "\n\t" .'$shortcode = \'[gallery ids="\' . implode(",", $image_ids) . \'" columns="'.$columns.'"]\';';
                    $content .= "\n\t" .'echo do_shortcode( $shortcode ); ?>';
                    break;
                case 'carousel':
                    $content .= '<?php wflb_acf_gallery($image_ids,"'.$zoom.'",'.$columns.','.$imagewidth.');?>'."\n";
                    break;
                default :
                    $content .= '<?php wflb_acf_gallery($image_ids,"'.$zoom.'");?>'."\n";
                    break;
            }
            $content .= wfl_tag_close($wrapper);
            return $content;
        }
    }
}