<?php
/*
 * ACF Common
*/
if(class_exists('WPBakeryShortCode'))
{

	class WPBakeryShortCode_wonderloops_acf_taxonomy extends WPBakeryShortCode {
		function content($atts, $content = null) {
			extract(
                shortcode_atts(
                    array(
						'field' => '',
						'function' => '',
                        'wrapper' => 'none',
                        'wrapper_class' => '',
                        'items_wrapper' => '',
                        'item_wrapper_class' => '',
                        'itemtag' => 'span',
                        'item_tag_class' => '',
                        'term_name' => 'link',
                        'term_name_tag' => 'h2',
                        'term_name_tag_class' => 'h2',
                        'term_desc' => 'no',
                        'term_desc_tag' => 'p',
                        'term_desc_tag_class'=>'',

                ),
                $atts)
            );
			$content ='';

			$content.= "\n";



            if($function != 'get_field') {
                $content .= '<?php $values = get_sub_field("' . $field . '");' . "\n";
            } else {
                $content .= '<?php $values = get_field("' . $field . '");' . "\n";
            }
			$content .= 'if($values){ ?>'."\n";
			$content .= wfl_tag_open($wrapper,$wrapper_class);
			$content .= wfl_tag_open($items_wrapper,$item_wrapper_class);
			if(strlen($pre_text)!=0){
				$content .= $pre_text.' ';
			}
			$content .= '<?php foreach($values as $value){ ?>'."\n";
                $content .= wfl_tag_open($itemtag,$item_class);
                if($term_name != 'no'){
                    $content .= wfl_tag_open($term_name_tag,$term_name_tag_class);
                    if($term_name == 'link'){
                        $content .= '<a href="<?php echo get_term_link( $value ); ?>"><?php echo $value->name; ?></a>';
                    } else {
                        $content .= '<?php echo $value->name; ?>';
                    }
                    $content .= wfl_tag_close($term_name_tag);
                }
                if($term_desc!='no'){
                    $content .= wfl_tag_open($term_desc_tag,$term_desc_tag_class);
                    $content .= '<?php echo $value->description; ?>';
                    $content .= wfl_tag_close($term_desc_tag);
                }

			    $content .= wfl_tag_close($itemtag);
			$content .= '<?php } ?>'."\n";
			$content .= wfl_tag_close($items_wrapper);
			$content .= wfl_tag_close($wrapper);
			$content .= '<?php } ?>'."\n";

			return $content;
		}
	}
	

}



